package cn.com.countrygarden.bi.main.dto.districtReport;

import cn.com.countrygarden.bi.main.model.districtReport.RdDistrictSettled;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class RdDistrictSettledDTO extends RdDistrictSettled {

    private String regionCode;

    private String regionName;

    private String districtName;

    private String projectdate;

    private String projectdateleft;

    private String projectdateright;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date emplacementProjectDateString;

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getProjectdate() {
        return projectdate;
    }

    public void setProjectdate(String projectdate) {
        this.projectdate = projectdate;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getProjectdateleft() {
        return projectdateleft;
    }

    public void setProjectdateleft(String projectdateleft) {
        this.projectdateleft = projectdateleft;
    }

    public String getProjectdateright() {
        return projectdateright;
    }

    public void setProjectdateright(String projectdateright) {
        this.projectdateright = projectdateright;
    }

    public Date getEmplacementProjectDateString() {
        return emplacementProjectDateString;
    }

    public void setEmplacementProjectDateString(Date emplacementProjectDateString) {
        this.emplacementProjectDateString = emplacementProjectDateString;
    }
}
